<?php
class bBoutique extends BackModule {

    function create($formvars = array(), $table = null, $langue = true) {
        $id = parent::create($formvars);

        Boutique::initDB($id);

        return $id;
    }

    function Form($formvars = array()) {

        if(empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='".$this->link_to('addForm')."'>Ajout d'une nouvelle Boutique</a></span>";
        } else {
            $sql = "SELECT boutique_nom as data FROM boutique WHERE boutique_id = '".$formvars['id']."'";
            $this->sql->query($sql, SiteSQL::SQL_ALL, SiteSQL::SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<a href='".$this->link_to('modForm', array('id' => $formvars['id']))."'>Edition de la Boutique : <strong>".$data['data']."</strong></a>";
        }

        // SQL
        if(!empty($formvars['id'])) {
            $sql="SELECT *";
            $sql.=" FROM boutique b";
            $sql.=" WHERE b.boutique_id='".$formvars['id']."'";

            $this->request=$sql;
        }
        //-- SQL

        // Champs du formulaire

        //GROUP
        $form = new BackForm("Informations principales","group");
        $this->addForm($form);
        //--GROUP

        $form = new BackForm("Nom","text","boutique_nom");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form = new BackForm("Domaine","text","boutique_domaine");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form = new BackForm("Dossier","text","boutique_dossier");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form = new BackForm("Admin email","text","boutique_admin_email");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form = new BackForm("Contact email","text","boutique_contact_email");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form =  new BackForm("Devise","select","devise_id");
        $form->addAttr('class','required');
        $form->addOptionSQL("SELECT devise_id, CONCAT(devise_nom, ' (', devise_code, ')') FROM devise ORDER BY devise_nom");
        $this->addForm($form);

        $form =  new BackForm("Langue","select","langue_id");
        $form->addAttr('class','required');
        $form->addOptionSQL("SELECT langue_id, langue_nom FROM langue ORDER BY langue_nom");
        $this->addForm($form);

        // TODO : sous module tracking

        $form = new BackForm("Statut","select","actif_id");
        $form->addOptionSQL("SELECT actif_id, actif_nom FROM actif ORDER BY actif_id");
        $form->addAttr('class','required');
        $this->addForm($form);

        $form = new BackForm("Config", "group");
        $form->addGroupOpts('class', 'boutique_config');
        $this->addForm($form);

        if(!isset($formvars['id'])) $formvars['id']=0;
        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array()) {

        // SQL
        $sql="SELECT b.boutique_id, b.boutique_id";
        $sql.=", b.boutique_nom";
        $sql.=", b.boutique_admin_email";
        $sql.=", b.boutique_contact_email";
        $sql.=", l.langue_nom";
        $sql.=", CONCAT(d.devise_nom, ' (', d.devise_code, ')')";
        $sql.=" FROM (boutique b)";
        $sql.=" LEFT JOIN langue l ON(b.langue_id = l.langue_id)";
        $sql.=" LEFT JOIN devise d ON(b.devise_id = d.devise_id)";
        $sql.=" WHERE 1";

        $this->request=$sql;
        //-- SQL

        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("ADMIN EMAIL", "mail");
        $this->addLabel($label);

        $label = new BackLabel("ADMIN CONTACT", "mail");
        $this->addLabel($label);

        $label = new BackLabel("LANGUE");
        $this->addLabel($label);

        $label = new BackLabel("DEVISE");
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}