<?php

namespace Event;

use Symfony\Component\EventDispatcher\Event;
use Commande;

class CommandeEvent extends Event
{
    const ADD = 'commande.add';
    const ADD_PROGRESS = 'commande.add_progress';

    protected $commande;

    public function __construct(Commande $commande)
    {
        $this->commande = $commande;
    }

    public function getCommande()
    {
        return $this->commande;
    }
}