<?php

use Phinx\Migration\AbstractMigration;

class InsertLangue extends AbstractMigration
{
    public function up()
    {
        $langue = array(
            array('langue_id' => '1','langue_nom' => 'Français','langue_ini' => 'FR','langue_img' => '/back/styles/images/lang/FR.png','langue_img_site' => '/media/lang/FR.png','langue_rang' => '10','actif_id' => '1')
        );

        $this
            ->table('langue')
            ->insert($langue)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('langue')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
