<?php

use Phinx\Migration\AbstractMigration;

class InsertDevise extends AbstractMigration
{
    public function up()
    {
        $devise = array(
            array('devise_id' => '1','devise_nom' => 'Euro','devise_taux' => '1.0000','devise_statut_id' => '1','devise_emplacement' => '1','devise_code' => '€','devise_code_iso' => 'EUR')
        );

        $this
            ->table('devise')
            ->insert($devise)
            ->save();
    }
    
    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('devise')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
