<?php

use Phinx\Migration\AbstractMigration;

class AddModuleMegamenuBoutique extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $back_module = array('module_id' => null,'module_parent_id' => '101','module_nom' => 'Gestion des megamenu Boutique','module_titre' => 'megamenu Boutique','module_page' => 'megamenu_boutique','module_rang' => '60','actif_id' => '2','module_order' => '2','module_group' => 'ab.megamenu_boutique_id','module_limit' => '50','module_bases' => 'megamenu_boutique','module_icon' => '');

        $this->table('back_module')
            ->insert($back_module)
            ->save();
    }
}
