<form method="post" id="form_inscription" name="register" class="register form-horizontal" action="{url page='inscription'}">
    <div class="bloc">
        <strong class="red">{txt value="Vos informations de connexion"}</strong>

        <div class="login-form">
            <div class="form-group">
                <label for="fmail" class="">{txt value="Votre email"}* :</label>
                <input type="text" class="form-control" value="{if !empty($post.client_email)}{$post.client_email}{/if}"  id="fmail" name="client_email" />
            </div>

            <div class="form-group">
                <label for="fmailv" class="">{txt value="Confirmation email"}* :</label>
                <input type="text" class="form-control" name="client_email_confirm" value="{if !empty($post.client_email_confirm)}{$post.client_email_confirm}{/if}" id="fmailv" />
            </div>

            <div class="form-group">
                <label for="fmdp">{txt value="Votre mot de passe"}* :</label>
                <input type="password" name="client_password" class="form-control" value="{if !empty($post.client_password)}{$post.client_password}{/if}" id="fmdp" />
            </div>

            <div class="form-group">
                <label for="fmdpv">{txt value="Confirmation mot de passe"}* :</label>
                <input type="password" class="form-control" name="client_password_confirm" value="{if !empty($post.client_password_confirm)}{$post.client_password_confirm}{/if}" id="fmdpv" />
            </div>
        </div>
    </div>
    <div class="border-bottom"></div>
    <div class="bloc">
        <strong class="red">{txt value="Vos informations personnelles"}</strong>

        <div class="form_process register-form">
            <div class="form-group">
                <label class="bold">{txt value="Civilité"}* :</label>
                <div class="radio">
                {foreach from=$civilite item=c name="civfor"}
                <label class="radio-inline" for="civilite_id{$c.civilite_id}">
                    <input type="radio" value="{$c.civilite_id}" name="civilite_id" id="civilite_id{$c.civilite_id}" {if (empty($post.civilite_id) && $smarty.foreach.civfor.iteration == 1) || !empty($post.civilite_id) && $post.civilite_id == $c.civilite_id}checked="checked"{/if}/>
                    <span style="">{$c.civilite_nom_nom}</span>
                </label>
                {/foreach}
                </div>
            </div>

            <div class="form-group">
                <label for="fnom">{txt value="Nom"}* :</label>
                <input type="text" class="form-control" name="client_nom" value="{if !empty($post.client_nom)}{$post.client_nom}{/if}" id="fnom" />
            </div>

            <div class="form-group">
                <label for="fprenom">{txt value="Prénom"}* :</label>
                <input type="text" class="form-control" name="client_prenom" value="{if !empty($post.client_prenom)}{$post.client_prenom}{/if}" id="fprenom" />
            </div>

            <div class="form-group">
                <label for="fsociete">{txt value="Société"} *:</label>
                <input type="text" class="form-control" name="client_societe" value="{if !empty($post.client_societe)}{$post.client_societe}{/if}" id="fsociete"/>
            </div>

            <div class="form-group">
                <label for="fadresse">{txt value="Adresse compléte (N° + rue)"}* :</label>
                <input type="text" class="form-control" name="adresse_rue" value="{if !empty($post.adresse_rue)}{$post.adresse_rue}{/if}" id="fadresse" />
            </div>

            <div class="form-group">
                <label for="interphone">{txt value="Digicode ou interphone"} :</label>
                <input type="text" class="form-control" name="adresse_digicode" value="" id="interphone" />
            </div>

            <div class="form-group">
                <label for="batiment">{txt value="N° Bâtiment"} :</label>
                <input type="text" class="form-control" name="adresse_batiment" value="" id="batiment" />
            </div>

            <div class="form-group">
                <label for="etage">{txt value="N° Etage"} :</label>
                <input type="text" class="form-control" name="adresse_etage" value="" id="etage" />
            </div>

            <div class="form-group">
                <label for="quartier">{txt value="Quartier"} :</label>
                <input type="text" class="form-control" name="adresse_quartier" value="" id="quartier" />
            </div>

            <div class="form-group">
                <label for="fcode_postal">{txt value="Code postal"}* :</label>
                <input type="text" class="form-control" name="adresse_cp" value="{if !empty($post.adresse_cp)}{$post.adresse_cp}{/if}" id="fcode_postal" class="small" />
            </div>

            <div class="form-group">
                <label for="fville">{txt value="Ville"}* :</label>
                <input type="text" class="form-control" name="adresse_ville" value="{if !empty($post.adresse_ville)}{$post.adresse_ville}{/if}" id="fville"/>
            </div>

            <div class="form-group">
                <label for="fpays">{txt value="Pays"}* :</label>
                <select name="pays_id" id="fpays" class="select_mef1 form-control">
                    {foreach from=$pays item=p}
                        {html_options values=$p.pays_id selected=$post.pays_id|default:"" output=$p.pays_nom_nom}
                    {/foreach}
                </select>
            </div>

            <div class="form-group">
                <label>{txt value="Date de naissance"}* :</label>
                <div class="date">
                    {if !empty($post.client_ddn_Day) && !empty($post.client_ddn_month) && !empty($post.client_ddn_Year)}
                        {html_select_date class="form-control day" display_months=false display_years=false prefix=client_ddn_ time=$post.client_ddn_Day}
                        {html_select_date class="form-control month" month_format='%B' display_days=false display_years=false prefix=client_ddn_ time=$post.client_ddn_Month}
                        {html_select_date class="form-control year" display_days=false display_months=false start_year=-100 prefix=client_ddn_ time=$post.client_ddn_Year}
                  {*    <input class="form-control year" placeholder="année" type="text" name="client_year" value="{if !empty($client.client_year)}{$client.client_year}{/if}" id=""/> *}
                    {else}
                        {html_select_date class="form-control day" display_months=false display_years=false prefix=client_ddn_}
                        {html_select_date class="form-control month" month_format='%B' display_days=false display_years=false prefix=client_ddn_}
                        {html_select_date class="form-control year" display_days=false display_months=false start_year=-100 prefix=client_ddn_}
                  {*  <input class="form-control year" placeholder="année" type="text" name="client_year" value="{if !empty($client.client_year)}{$client.client_year}{/if}" id=""/> *}
                    {/if}

                </div>
            </div>

            <div class="form-group">
                <label for="mtel">{txt value="Numéro de téléphone mobile"}* :</label>
                <input type="text" name="client_telephone_mobile" value="" id="mtel" class="small form-control" />
            </div>

            <div class="form-group">
                <label for="ftel">{txt value="Numéro de téléphone fixe"} :</label>
                <input type="text" name="client_telephone" value="{if !empty($post.client_telephone)}{$post.client_telephone}{/if}" id="ftel" class="small form-control" />
            </div>

            <div class="form-group">
                <label for="fax">{txt value="Numéro de fax"} :</label>
                <input type="text" name="client_fax" value="" id="fax" class="small form-control" />
            </div>

            <div class="form-group">
                <label for="fparrain">{txt value="Email de votre parrain"} :</label>
                <input type="text" name="client_referer" value="{if !empty($smarty.get.client_referer)}{$smarty.get.client_referer}{elseif !empty($post.client_referer)}{$post.client_referer}{/if}" id="fparrain" class="form-control" />
            </div>

            <p class="pull-right italic"><i>* : champs obligatoires</i></p>
            <div class="clearfix"></div>
        </div>
    </div>

    <input type="submit" value="{txt value="Créer un compte"}" class="btn btn-red pull-right creer-compte"/>
</form>
